stages:
    - lint
    - build
    - deploy

pre-commit-check:
    stage: lint
    image: gitlab-registry.cern.ch/recast-atlas/images/lint:latest
    script:
        - pre-commit run --all-files

building:
    stage: build
    image: jekyll/jekyll:3.7.3
    script:
        - make clean
        - make site
        - mv _site public
    artifacts:
        paths:
            - public
        expire_in: 1 hour

deploying:
    stage: deploy
    image: gitlab-registry.cern.ch/ci-tools/ci-web-deployer:latest
    only:
        - master
    script:
        - deploy-eos
